# Solo Utilities

Solo Utilities is a module designed to enhance the Solo theme with additional
features and customization options. The initial release of Solo Utilities
introduces the ability to set custom widths for individual nodes, giving site
builders and content creators more control over the presentation of their
content. Future updates will include new features to further enhance the Solo
theme.

## FEATURES

- **Custom Node Widths**: Set custom widths for individual nodes to tailor the
  display of your content.
- **Future Enhancements**: Solo Utilities will be updated with new features
  that enhance the Solo theme.

## REQUIREMENTS

- Solo theme
- Node module

## INSTALLATION

1. Download and place the Solo Utilities module in the `modules/custom`
   directory of your Drupal installation.
2. Enable the module using Drush or the Drupal admin interface:
   - Using Drush: `drush en solo_utilities -y`
   - Using Drupal Admin Interface: Navigate to `Extend`, find the `Solo
     Utilities` module, enable it, and save the configuration.

## CONFIGURATION

1. Ensure the Solo theme is active and configured correctly.
2. Navigate to the theme settings of the Solo theme.
3. If the Solo Utilities module is enabled, you will see an option to enable
   custom widths for individual nodes.
4. Configure the settings as needed.

## USAGE

1. When creating or editing a node, you will see a dropdown to select a custom
   width for the node.
2. Choose the desired width or select "None" to use the default width.

## FUTURE PLANS

Solo Utilities is designed to be a foundational module for extending the Solo
theme. Future updates will include additional features and improvements to
further enhance the capabilities of the Solo theme.

## MAINTAINERS

- Maintainer Name (Alaa Haddad)

## LICENSE

This project is licensed under the [GPL-2.0-or-later](https://www.gnu.org/licenses/gpl-2.0.html).
